## pydantic-extra-types 2.8.2

=== debian/changelog ===
pydantic-extra-types (2.8.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.8.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 17 Jun 2024 11:11:32 +0200

pydantic-extra-types (2.8.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.8.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 11 Jun 2024 18:31:35 +0200

pydantic-extra-types (2.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 04:48:14 +0200

pydantic-extra-types (2.6.0-2) sid; urgency=medium

  * Uploading to sid.
  * Using codename in changelog instead of suitename.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 21 Apr 2024 22:01:02 +0200

pydantic-extra-types (2.6.0-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Apr 2024 10:56:31 +0200

## pydantic-extra-types 2.9.0

=== Makefile ===
.DEFAULT_GOAL := all
sources = pydantic_extra_types tests

.PHONY: install
install:
	python -m pip install -U pip
	pip install -r requirements/all.txt
	pip install -e .

.PHONY: refresh-lockfiles
refresh-lockfiles:
	@echo "Updating requirements/*.txt files using pip-compile"
	find requirements/ -name '*.txt' ! -name 'all.txt' -type f -delete
	pip-compile -q --no-emit-index-url --resolver backtracking -o requirements/linting.txt requirements/linting.in
	pip-compile -q --no-emit-index-url --resolver backtracking -o requirements/testing.txt requirements/testing.in
	pip-compile -q --no-emit-index-url --resolver backtracking --extra all -o requirements/pyproject.txt pyproject.toml
	pip install --dry-run -r requirements/all.txt

.PHONY: format
format:
	ruff check --fix $(sources)
	ruff format $(sources)

.PHONY: lint
lint:
	ruff check $(sources)
	ruff format --check $(sources)

.PHONY: mypy
mypy:
	mypy pydantic_extra_types

.PHONY: test
test:
	coverage run -m pytest --durations=10

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: testcov-compile
testcov-compile: build-trace test
	@echo "building coverage html"
	@coverage html

.PHONY: all
all: lint mypy testcov

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]'`
	rm -f `find . -type f -name '*~'`
	rm -f `find . -type f -name '.*~'`
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -rf coverage.xml
	rm -rf .ruff_cache

.PHONY: pre-commit
pre-commit:
	pre-commit run --all-files --show-diff-on-failure

=== debian/changelog ===
pydantic-extra-types (2.9.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.9.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Jul 2024 13:08:27 +0200

=== debian/control ===
Source: pydantic-extra-types
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/pydantic/pydantic-extra-types
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pydantic-extra-types
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pydantic-extra-types

Package: python3-pydantic-extra-types
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Data validation and settings management using Python type hinting (extra types)
 Data validation and settings management using Python type hinting
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.
 .
 This package contains extra types.

## pydantic-extra-types 2.10.2

=== Makefile ===
.DEFAULT_GOAL := all
sources = pydantic_extra_types tests

.PHONY: .uv  # Check that uv is installed
.uv:
	@uv --version || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: install  ## Install the package, dependencies, and pre-commit for local development
install: .uv
	uv sync --frozen --group all --all-extras
	uv pip install pre-commit
	pre-commit install --install-hooks

.PHONY: rebuild-lockfiles  ## Rebuild lockfiles from scratch, updating all dependencies
rebuild-lockfiles: .uv
	uv lock --upgrade

.PHONY: format  # Format the code
format:
	uv run ruff format
	uv run ruff check --fix --fix-only

.PHONY: lint  # Lint the code
lint:
	uv run ruff format --check
	uv run ruff check

.PHONY: typecheck  # Typecheck the code
typecheck:
	uv run mypy pydantic_extra_types

.PHONY: test
test:
	uv run pytest

.PHONY: test-all-python  # Run tests on Python 3.9 to 3.13
test-all-python:
	UV_PROJECT_ENVIRONMENT=.venv39 uv run --python 3.9 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv310 uv run --python 3.10 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv311 uv run --python 3.11 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv312 uv run --python 3.12 coverage run -p -m pytest
	UV_PROJECT_ENVIRONMENT=.venv313 uv run --python 3.13 coverage run -p -m pytest
	@uv run coverage combine
	@uv run coverage report

.PHONY: testcov  # Run tests and collect coverage data
testcov:
	uv run coverage run -m pytest
	@uv run coverage report
	@uv run coverage html

.PHONY: all
all: format lint testcov

=== debian/changelog ===
pydantic-extra-types (2.10.2-2) sid; urgency=medium

  * Updating vcs fields.
  * Updating email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 15:50:53 +0100

pydantic-extra-types (2.10.2-1) sid; urgency=medium

  * Merging upstream version 2.10.2.

 -- Daniel Baumann <daniel@debian.org>  Sat, 18 Jan 2025 07:21:36 +0100

pydantic-extra-types (2.10.1-1) sid; urgency=medium

  * Merging upstream version 2.10.1.
  * Updating source url in copyright.

 -- Daniel Baumann <daniel@debian.org>  Mon, 09 Dec 2024 05:31:20 +0100

pydantic-extra-types (2.10.0-1) sid; urgency=medium

  * Merging upstream version 2.10.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Oct 2024 18:58:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pydantic-extra-types
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -11,8 +11,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/pydantic/pydantic-extra-types
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pydantic-extra-types
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pydantic-extra-types
+Vcs-Browser: https://forgejo.debian.net/arista/pydantic-extra-types
+Vcs-Git: https://forgejo.debian.net/arista/pydantic-extra-types
 
 Package: python3-pydantic-extra-types
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pydantic-extra-types

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# TODO: needs additional depends

## pydantic-extra-types 2.10.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 .PHONY: install  ## Install the package, dependencies, and pre-commit for local development
 install: .uv
-	uv sync --frozen --group all --all-extras
+	uv sync --frozen --all-groups --all-extras
 	uv pip install pre-commit
 	pre-commit install --install-hooks

=== debian/changelog ===
pydantic-extra-types (2.10.3-2) unstable; urgency=medium

  * Enable semver-related tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Mar 2025 19:07:48 +0000

pydantic-extra-types (2.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Run most tests at build time.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Mar 2025 12:29:29 +0000

pydantic-extra-types (2.10.2-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating vcs fields for salsa.
  * Setting maintainer and uploaders to Python Team/Colin, thanks for
    adopting it.

 -- Daniel Baumann <daniel@debian.org>  Sun, 02 Mar 2025 14:54:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pydantic-extra-types
# These tests need some further investigation.
export PYBUILD_TEST_ARGS += \
	--deselect 'tests/test_timezone_names.py::test_all_timezones_zone_info[Factory]' \
	--deselect 'tests/test_timezone_names.py::test_all_timezones_zone_info[localtime]' \
	--deselect 'tests/test_timezone_names.py::test_all_timezones_zone_info_NonStrict[zone490]' \
	--deselect 'tests/test_timezone_names.py::test_all_timezones_zone_info_NonStrict[zone597]'

%:
	dh ${@} --buildsystem=pybuild

## pydantic-extra-types 2.10.4

=== debian/changelog ===
pydantic-extra-types (2.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Apr 2025 13:04:09 +0100

pydantic-extra-types (2.10.3-3) unstable; urgency=medium

  * Skip Factory/localtime time zone name tests more reliably (closes:
    #1101617).

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Mar 2025 20:30:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,34 @@
 Source: pydantic-extra-types
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatchling,
+ python3-pendulum <!nocheck>,
+ python3-phonenumbers <!nocheck>,
+ python3-pycountry <!nocheck>,
+ python3-pydantic <!nocheck>,
+ python3-pymongo <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytz <!nocheck>,
+ python3-semver (>= 3.0.2) <!nocheck>,
+ python3-typing-extensions <!nocheck>,
+ python3-ulid <!nocheck>,
+ tzdata <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/pydantic/pydantic-extra-types
-Vcs-Browser: https://forgejo.debian.net/arista/pydantic-extra-types
-Vcs-Git: https://forgejo.debian.net/arista/pydantic-extra-types
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-extra-types
+Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-extra-types.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pydantic-extra-types
-Section: python
 Architecture: all
 Depends:
  ${misc:Depends},

## pydantic-extra-types 2.10.5

=== debian/changelog ===
pydantic-extra-types (2.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Jun 2025 03:07:28 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pydantic-extra-types

%:
	dh ${@} --buildsystem=pybuild

## pydantic-extra-types 2.10.6

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 install: .uv
 	uv sync --frozen --all-groups --all-extras
 	uv pip install pre-commit
-	pre-commit install --install-hooks
+	uv run pre-commit install --install-hooks
 
 .PHONY: rebuild-lockfiles  ## Rebuild lockfiles from scratch, updating all dependencies
 rebuild-lockfiles: .uv

=== debian/changelog ===
pydantic-extra-types (2.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Oct 2025 09:53:12 +0100

pydantic-extra-types (2.10.5-2) unstable; urgency=medium

  * Ignore new deprecation warning from pydantic-core >= 2.34.0 in tests.
  * Fix tests with pydantic >= 2.12.0a1.

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Sep 2025 11:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-ulid <!nocheck>,
  tzdata <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/pydantic/pydantic-extra-types
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-extra-types
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-extra-types.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := pydantic-extra-types
# These will fail until cron-converter has been packaged.
export PYBUILD_TEST_ARGS := --ignore tests/test_cron.py --ignore tests/test_json_schema.py

%:
	dh ${@} --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pydantic-extra-types-$1\.tar\.gz/ \
https://github.com/pydantic/pydantic-extra-types/tags .*/v?(\d\S+)\.tar\.gz

## pydantic-extra-types 2.11.0

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	UV_PROJECT_ENVIRONMENT=.venv311 uv run --python 3.11 coverage run -p -m pytest
 	UV_PROJECT_ENVIRONMENT=.venv312 uv run --python 3.12 coverage run -p -m pytest
 	UV_PROJECT_ENVIRONMENT=.venv313 uv run --python 3.13 coverage run -p -m pytest
+	UV_PROJECT_ENVIRONMENT=.venv314 uv run --python 3.14 coverage run -p -m pytest
 	@uv run coverage combine
 	@uv run coverage report

=== debian/changelog ===
pydantic-extra-types (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Dec 2025 01:15:48 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-typing-extensions <!nocheck>,
  python3-ulid <!nocheck>,
  tzdata <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pydantic/pydantic-extra-types
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-extra-types
